# New term: <font color="color:red">merge</font>

* You have made changes on your branch
* Now you want your changes to be reflected on another branch </br>(most probably `develop` or `master`)

<div style="position:absolute;left:60%;top:1em">
<img src="slides/img/branch_merge-detail.png" height="800px" >
</div>

You have to <font color="color:red">merge</font> the branches.

**Remarks**: merging is directional - *Merge branch A to branch B*

### The merge is initiated via so called **merge request**
* *Requesting* someone (from the original repository) to *merge* your changes.
* *merge request* is commonly abreviated as **MR**

Your peers can comment on your changes in a merge request **review**!



# Our state at the moment?

<div style="position:absolute;top:2em" >
<img src="slides/img/fork_branch-diagram-after-commit.png" height="600px" >
</div>

<div style="position:absolute;top:2em" class="fragment fade-in-then-out" data-fragment-index="1">
<img src="slides/img/fork_branch-diagram-after-commit-with-back-arrow.png" height="600px" >
</div>



# Time to practice!

* After hitting the Commit button, you get redirected to the submission page for your merge request
* Please make sure that you see that you are proposing to merge your branch (version) into the develop branch. This is shown at the top of the page:
<!-- .element: class="fragment" data-fragment-index="1" -->
* Fill your merge request submission form and select an Assignee.
<!-- .element: class="fragment" data-fragment-index="3" -->
* Good practice is to select Delete source branch when merge request is accepted. (Why?)
<!-- .element: class="fragment" data-fragment-index="4" -->
* Under Changes tab, you can see your... changes :)
<!-- .element: class="fragment" data-fragment-index="5" -->


<div style="position:absolute;left:30%;top:4em" class="fragment fade-in-then-out" data-fragment-index="1">
<img src="slides/img/merge_GUI_detail.png" height="720px" >
</div>

<div style="position:absolute;left:30%;top:6em" class="fragment fade-in-then-out" data-fragment-index="2">
<img src="slides/img/merge_branch-to-branch.png" height="100px" >
</div>

<div style="position:absolute;left:5%;top:10em" class="fragment fade-in-then-out" data-fragment-index="5">
<img src="slides/img/merge_changes.png" height="400px" >
</div>
