# What is `git`?

`git` is a **version control system** (VCS) for tracking changes in computer files and coordinating work on those files among multiple people [1].

Designed and implemented in 2005 by **Linus Torvalds**

<div style="position:relative; left:60%;">
<img src="slides/img/linus.jpg">
</div>

<div style="position:absolute; left:50%;">

[1] *https://en.wikipedia.org/wiki/Git*
</div>

<br>
<div class="fragment">

## The inventor of `git`

<div align="center">
<img src="slides/img/git_definition.png">
</div>

`I'm an egotistical bastard, and I name all my projects after myself.
First Linux, now git.`
Linus Torvald (2007-06-14)



# What is the use of `git`?

* Ability to recover old versions
<div style="position:absolute;left:45%;top:75%">
<img src="slides/img/Git-logo.png">
</div>

<div class="fragment">

* Keep the changes you made over time (**history**) to every single line
* Annotate each change with description
* **Backtrack** (if necessary) and undo unwanted changes
* Contribute content in parallel
* Easily **add contributions** of your collaborators to the any version
</div>

note:

Other points to mention:

* comes from SW development domain with >100 of people contributing to one project
* git shall not be considered as a nuisance, but as a tool that should help to track and trace the code.
* git is not to track performance. Not using it shows exactly the opposite.
